import { PackMat } from "@queenjs-modules/queditor/objects";
import { queenApi } from "queenjs";

export class MatController {
  scrollEl: any = undefined;

  async renameMatGroup(matsGroup: MatsMatchComp) {
    const cusName = await queenApi.showInput({
      title: "重命名",
      defaultValue: matsGroup.cusName || matsGroup.name,
    });
    if (!cusName) return;
    matsGroup.cusName = cusName;
  }

  async lockMatGroup() {
    //
  }

  async clearMatGroup(matsGroup: MatsMatchComp) {
    matsGroup.matIds = [];
    matsGroup.index = -1;
  }

  async renameGroupMat(mat: PackMat) {
    const name = await queenApi.showInput({
      title: "重命名",
      defaultValue: mat.name,
    });
    if (!name) return;
    mat.name = name;
  }

  initScroll(el: any) {
    console.log("initScroll ");
  }

  unbindScroll() {
    console.log("unbindScroll ");
  }

  initEvent() {
    console.log("init evnt");
  }

  destroy() {
    console.log("destroy evnt");
  }

  matGroupAction(key: string, matsGroup: MatsMatchComp) {
    console.log("matGroupAction", key, matsGroup);
  }

  matItemAction(
    key: string,
    matsGroup: MatsMatchComp,
    index: number,
    currentMats: any
  ) {
    console.log("matGroupAction", key, matsGroup, index, currentMats);
  }

  saveMatch() {
    console.log(" saveMatch ");
  }

  findMatById(matId: string): any {
    console.log(" findMatById ", matId);
  }

  findProductById(productId: string): any {
    console.log(" findProductById ", productId);
  }

  switchGroupMatIndex(matsGroup: any, index: number) {
    console.log(" switchGroupMatIndex ", matsGroup, index);
  }

  isGroupActive(matsGroup: MatsMatchComp): boolean {
    console.log("matsGroup: ", matsGroup);
    return false;
  }

  switchGroupIndex(matsGroup: MatsMatchComp) {
    console.log("matsGroup: ", matsGroup);
    //
  }
}
